Name: wsdl4j
Version: 1.5
Release: alt1
Summary: Web Services Description Language Toolkit for Java
Group: Development/Java
License: IBM Common Public License
Url: http://wsdl4j.sourceforge.net
Source0: wsdl4j-cvs20050322.tar.bz2

BuildArch: noarch
BuildPreReq: /proc, rpm-build-java
BuildRequires: ant
Requires: jaxp_parser_impl, j2se

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the
creation, representation, and manipulation of WSDL documents describing
services.  This codebase will eventually serve as a reference implementation
of the standard created by JSR110.

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %name

%build
unset CLASSPATH
%__ant -Dbuild.compiler=modern compile
%__ant -Dbuild.compiler=modern javadocs

%install
# jars
%__install -d -m 0755 %buildroot%_javadir

%__install -m 644 build/lib/{%name.jar,qname.jar} %buildroot%_javadir

# javadoc
install -d -m 0755 %buildroot%_javadocdir/%name
cp -pr build/javadocs/* %buildroot%_javadocdir/%name/

%files
%doc license.html
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Thu Mar 24 2005 Vladimir Lettiev <crux@altlinux.ru> 1.5-alt1
- 1.5
- rpm-build-java macroces

* Fri Sep 24 2004 Vladimir Lettiev <crux@altlinux.ru> 1.4-alt2
- corrected requires (xerces-j -> jaxp_parser_impl)

* Fri Sep 17 2004 Vladimir Lettiev <crux@altlinux.ru> 1.4-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Mon Aug 30 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-3jpp
- Build with ant-1.6.2

* Thu Jun 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.4-2jpp
- Do not drop qname.jar

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.4-1jpp
- 1.4
- update for JPackage 1.5

* Sat Sep  7 2002 Ville Skytt <ville.skytta at iki.fi> 1.1-1jpp
- First JPackage release.
